com.mxgraph.layout.orthogonal

## Class mxOrthogonalLayout

- java.lang.Object
- - com.mxgraph.layout.mxGraphLayout
  - - com.mxgraph.layout.orthogonal.mxOrthogonalLayout

- All Implemented Interfaces:
    mxIGraphLayout

      public class mxOrthogonalLayout
      extends mxGraphLayout

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected mxOrthogonalModel` | `orthModel`
    `protected boolean` | `routeToGrid` Whether or not to route the edges along grid lines only, if the grid is enabled.

    - ### Fields inherited from class com.mxgraph.layout.mxGraphLayout

      `graph, parent, useBoundingBox`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxOrthogonalLayout(mxGraph graph)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(java.lang.Object parent)` Executes the layout for the children of the specified parent.

    - ### Methods inherited from class com.mxgraph.layout.mxGraphLayout

      `arrangeGroups, getConstraint, getConstraint, getGraph, getParentOffset, getVertexBounds, isEdgeIgnored, isUseBoundingBox, isVertexIgnored, isVertexMovable, moveCell, setEdgePoints, setEdgeStyleEnabled, setOrthogonalEdge, setUseBoundingBox, setVertexLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### orthModel

          protected mxOrthogonalModel orthModel

    - #### routeToGrid

          protected boolean routeToGrid

      Whether or not to route the edges along grid lines only, if the grid is enabled. Default is false

  - ### Constructor Detail

    - #### mxOrthogonalLayout

          public mxOrthogonalLayout(mxGraph graph)

  - ### Method Detail

    - #### execute

          public void execute(java.lang.Object parent)

      Description copied from interface: `mxIGraphLayout`
      Executes the layout for the children of the specified parent.
      Specified by:
        `execute` in interface `mxIGraphLayout`
      Overrides:
        `execute` in class `mxGraphLayout`
      Parameters:
        `parent` - Parent cell that contains the children to be layed out.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.